Zum Hauptinhalt springen

Resend a Domain email

POST/v2/domains/{domainId}/actions/resend-email
API-Version
v2
Request-Methode
POST
Operation-ID
domain-resend-domain-email

Trigger a resend of the e-mail the owner must act on: the registrar's registrant verification or transfer confirmation e-mail or, for .de Domains, the verification e-mail of the owner's contact verification. Fails with 412 if the owner is already verified or the last e-mail was sent less than 15 minutes ago (.de).

Request​

  • domainIdstringrequired

Responses​

Kein Response-Inhalt angegeben.

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-X POST \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/domains/string/actions/resend-email
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.resendDomainEmail({
"domainId": "string"
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\ResendDomainEmail\ResendDomainEmailRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ResendDomainEmailRequest(
domainId: "string"
));
$response = $client->domain()->resendDomainEmail($request);

var_dump($response->getBody();

Auf dieser Seite